#!/usr/bin/env node
let request = require('request');
let wallpaper = require('wallpaper');
let fs = require('fs');
request.get('http://cn.bing.com/HPImageArchive.aspx?format=js&idx=0&n=9',function(err,header,body){
    if(err){
        console.log('图片获取失败');
    }else{
        let data = JSON.parse(body);
        let index = Math.floor(Math.random()*10);
        let url = "http://cn.bing.com"+data.images[index].url;
        let name = data.images[index].url.slice(data.images[index].url.lastIndexOf('/')+1);
        let file = fs.createWriteStream('./wallpaper.jpg');
        request.get(url).pipe(file);
        file.on('finish',function(){
            wallpaper.set(__dirname+'./wallpaper.jpg').then(()=>{
                console.log('桌面设置成功');
            })
        })
    }
})